Adding Expressions

Help for Viv's BON Database version 3.5

Adding Expressions

When you use the program for the first time, type your first name carefully (don't forget that names start with a capital letter) and press 'Enter'. The program will remember this name and use it in future.

There is an example expression in each section. Click on the section you want to practice in the grey boxes to see it.

1. On the blue 'Revise, Edit or Add page', use the tab key or cursor to go to the section which is best for the word or expression you want to learn, and press 'Enter' (this is usually the biggest key on the right or your keyboard).

For help adding words and expressions to your BON Database, press the F1 key.

2. Type the word or expression in the box (next to the asterisk). Press 'Enter' (or 'Tab').

3. Use the same form as the example expression, or press 'F1' if you're not sure what to do. Press 'Enter' (or 'Tab') after completing a box.

4. When you've finished, press 'Escape' (or click on the red 'Finished' button at the bottom of the screen). You don't have to save the new words or expressions, this is done automatically (Note! If you leave this page using 'Esc', press 'Enter' or 'Tab' twice after writing a context sentence).

Test yourself

Press the letter 't' (or click on this button once) to go to the green 'Test' page. Press 'F1' again on this page for help on testing words.

See all BON

Press the letter 's' or (click on this button) to revise all the words in black sections of your BON database in alphabetical order. You can also use this page to delete words or edit mistakes in words already there (press 'Tab' until the cursor arrives in the part you want to edit). Press 'Page Down' to see more words. If you hold down the 'Ctrl' key and press 'f' (or click on 'Look up a word?' at the top right of the screen), you can type the name of a word in your BON Database and the program will find it for you (for more information on searching for words go to the internet help page). This button will not show expressions from the middle of your notebook (the coloured sections). Use the 'All middle of notebook' option to revise or edit these expressions.

Print all

Use this button to print all your words, their meanings, hints and the section in which the word is stored. Make sure your printer is switched on and ready to print before selecting this command.

I've finished using Viv's BON Database

Press the 'Escape' key once or click once on this button and you will leave the program. Any work you have done will be saved automatically.

All rights reserved. Viv Quarry August 2014 (www.vivquarry.com)


Metalanguage

Viv's BON Database version 3 - adding words and expressions

Metalanguage

Metalanguage is words and expressions you use to learn and understand a foreign language. It includes the following:

· grammatical vocabulary like the names of verb tenses e.g. 'The present perfect'.

· Lexical items like parts of speech e.g. 'noun', 'verb' and 'adjective'.

· Expressions used to help you communicate and understand a foreign language e.g. "Can you repeat that, please?"

There is a list of common metalanguage on Viv's web site at the following link Metalanguage

If you use Viv's notebook organisation, you'll find a list of these words and expressions on page 2 at the back.

BON Database

The example sentence in this section shows how to use it. In the first box is the metalanguage expression "What does 'metalanguage' mean?". Next to it comes the translation, in Portuguese in this example. The last box shows the English expression with every letter replaced by an asterisk.

First write the word or expression you want to learn and press 'Enter'. When you do this, the word or expression you have typed will appear in the 'Hint' box on the right.

NOTE! Remember the punctuation marks you use. When you test yourself you will have to type the expression exactly as it appears in the 'Expression' box. However, the punctuation marks won't be hidden when you test yourself, but make sure you know which type of apostrophe you are using on your keyboard.

Then type the translation of the expression you have just written in your language and press 'Enter'. Now press 'Enter' twice and the expression in the 'Hint' box will be replaced by asterisks and you will go to a new line so that you can add more expressions.

When you want to finish, either press 'Escape' (Esc) or click on the red 'Finished' button at the bottom of the page.

NOTE! If you leave this page by pressing 'Escape' make sure you have finished your last entry by pressing 'Enter' twice in the 'Hint' box and moving to a new line. If you don't do this, your last entry will not be saved.

Revising and adding expressions

If you are returning to this section after adding expressions previously, click on the button with an arrow and an asterisk (under the words "Click on the asterisk below to add new words" near the bottom of the screen. If you want to revise your expressions, press the 'Page Down' key (usually above the cursor right arrow) and you will move down one screen at a time.

Finding a word or expression

If you want to find a word or expression on this page, hold down the 'Ctrl' key and press 'f' (or click on the "Look up a word" button at the top-right of the screen). The program will only search the column where the cursor is when you press the button. Type the word and press 'Enter'. The program will automatically find the word or expression. If you want to find a word within an expression e.g. "mean" in "What does this word mean?", select 'Any part of the field' in the 'Matches box'. Press 'Escape' when you've finished.


Articles

Articles

In English, some nouns:

  1. must have the definite article ('the') before them e.g. groups of islands and states (He's from the UK.)

  2. mustn't have the definite article before them e.g. go to/be at school/university (I was at X university at 10am)

  3. must have the indefinite article ('a' or 'an') before them e.g. jobs (He's a doctor.)

  4. mustn't have the indefinite article before them e.g. uncountable nouns and plural nouns (I had X lunch)

If you use Viv's notebook organisation, you'll have a list of these nouns and expressions on page 3 at the back.

BON Database

In the first box write either 'the', 'a', 'an' or 'x' if the expression has no article, then press 'Enter'. In the next box write a sentence in English with a question mark (?) in the position where the article (or no article) should be, then press 'Enter'.

How to practice articles:

First decide where your language is different from English in the way it uses articles (the examples above are for Latin based languages). I'll use the expressions in the introduction above to demonstrate how to improve your use of articles using Viv's BON Database.

There are three examples which come with your database. In the first one "apples" is a plural noun and so doesn't have 'a' or 'an' before it in English. In the first box there's an 'X' meaning "no article". In the next box is a sentence with a question mark showing where an article isn't used in English. In the second example sentence, a Portuguese or Spanish speaker wouldn't put an article before the word "doctor", but in English we need the indefinite article, in this case "a", which appears in the box on the left (see note 3 in the introduction above).

In example 1 in the introduction, first type 'the' and press 'Enter' (it doesn't matter whether you use capital or lower case letters). In the next box, type "He's from ? UK.", with the 'the' before the word "UK" replaced by a question mark. Now press 'Enter' and you can add another structure. For example 2, type 'X' and press 'Enter'. Then "I was at ? university at 10am.", the question mark replaces the 'X' because there's no article before "university" in English, then press 'Enter'.

When you test yourself, you'll only see the expression with a question mark and will have to decide if the '?' represents 'a', 'an', 'the' or 'X' (no article). Higher level students can test the use of "an" before a vowel sound e.g. an x-ray, and "a" before a consonant sound e.g. a euphemism.

For information on revising, searching and adding more words see the Metalanguage section by clicking on the heading on the left.


False friends

False Friends

False friends are words which have been imported into your language in form, but the meaning has been changed. The result is often that:

  • when you try to use these words, they may generate a mistake which is difficult for you to identify e.g. A Brazilian says "I'm studying English at an English course."

  • when you read or hear these words in English you may misunderstand them e.g. An English native speaker says "My German course is very difficult."

If you use Viv's notebook organisation, you'll find a list of these words and expressions on page 7 at the back. There is also a list of these words on Viv's web site at the following link False Friends Worksheet

BON Database

There are two ways of adding false friends to your BON database.

Firstly, think about how the word is used in your language and type how you would say this in English in the first 'Expression' box. For example, "curso de inglês" in Portuguese is "language school" in British English. Press 'Enter' and then, in brackets, type an abbreviation which indicates your language e.g. 'BR' = Brazilian Portuguese, 'ES' = Spanish, 'FR' = French etc. Then type the same word or expression in English. If it has a different grammatical form in your language, use an abbreviation for this: in the example, the "N" in brackets tells us that in Portuguese the word is used as a noun. Press 'Enter' and then type a sentence which shows how the word is used in English.

As mentioned in the introduction, false friends can work in two ways. You can also put the word in the way it's used in your language first, press 'Enter' and then write exactly what this word means in English. In the example, "English course" is what you study at a language school. In the 'Expression' box, this time you put this use of the word and then (UK) followed by its translation in your language . Finally, write a hint sentence in English showing how the words are used differently. If you're not sure how the 'BR' and 'UK' abbreviations are used, look at the False Friends Worksheet mentioned in the introduction. There are examples sentences of both forms in this worksheet.

NOTE! Don't forget that the word or expression must be included in the 'hint' section in exactly the same form as it appears in the 'expression' box. See the 'help with context sentences' page on Viv's web site for more help with writing hints.

When you want to finish, either press 'Escape' (Esc) or click on the red 'Finished' button at the bottom of the page.


Gerund or infinitive?

Gerund or infinitive?

There are three main verb patterns which occur after other verbs, conjunctions, prepositions & adverbs, nouns and adjectives:

  • Gerund - This is a verb, but in the 'ing' form. It looks exactly the same as the present participle, which is used in continuous tenses. In the example sentence in this section, the word 'hearing' is a gerund.

  • Infinitive - The full infinitive is the base form of the verb in the present, preceded by the 'to'. Although this 'to' has the same form as the preposition 'to', it isn't a preposition. In the example sentence, the 'to' in 'look forward to hearing' is a preposition. Whereas the 'to' in the following sentence is part of the infinitive 'I'd like to go out for a beer.'

  • Infinitive without 'to' - This is the base form of the verb by itself and follows most modal verbs and is used with a few full verbs and expressions.

If you use Viv's notebook organisation, you'll find a list of these words and expressions on page 9 at the back. There is also a full list of these words and how they function on Viv's web site at the following link Grammatical worksheets Select the version of this worksheet (there are three) appropriate for your level of English.

BON Database

Think of a sentence in English using the verb 'DO' in either its gerund, infinitive or infinitive without 'to'. In the first box, type the verb 'do' in the correct form e.g. 'doing', then press 'Enter'. Now write the sentence replacing the gerund or infinitive with a question mark e.g. "I like ? this.". Now press 'Enter' and add more structures which may be followed by a gerund, infinitive or infinitive without 'to'.

NOTE! Remember that the sentence you construct must use 'do' as a main verb. See the 'help with context sentences' page on Viv's web site for more help with writing hints.


Idioms and slang

Idioms and slang

In this section of your BON Database you can store the following difficult areas of the English language:

  • Idioms - These idiomatic expressions usually have an obscure historical origin and when translated directly into your language will make no sense at all.

  • Slang - This is very informal English, which should be used be used very carefully when speaking. Swear words fit into this category, along with language common to specific groups e.g. teenagers, criminals etc. If you're not a native speaker, it's probably best to avoid using slang as its use implies membership of a group to which a non-native speaker probably doesn't belong. Therefore, using these expressions as an 'outsider' generally sounds ridiculous or immature to native speakers.

  • Proverbs - Every language has expressions which are rooted in history and usually make some sort of moral statement. "Too many cooks spoil the broth." is an example of a proverb, and it means that if too many people try to do the same thing, the result will probably be unsuccessful.

  • Old English - Some words are no longer used in modern English, but at the advanced and proficiency levels you may need to be aware of these words.

If you use Viv's notebook organisation, you'll find a list of these words and expressions on page 13 at the back. There is an excellent introduction to taboo and swearwords in Michael Swan's book 'Practical English Usage' (Oxford University Press).

BON Database

First write the expression you want to learn. When you press 'Enter', the sentence you have just written will appear in 'hint' box. Then put either (I) for an idiom, (S) for slang, (P) for a proverb or (OE) for old English, then translate the English expression into your language and press 'Enter' three times. The hint sentence will automatically be replaced by asterisks.

NOTE! Remember which key you use as an apostrophe when writing the sentence in English, and make sure that you translate the sentence into a natural version in your own language. Don't translate word for word from English unless the sentence has EXACTLY the same form in the most natural way of saying this expression in the language you speak.


Irregular verbs

Irregular verbs

Most verbs in English are regular and the past and past participle forms are the same, usually formed by adding 'ed' to the base form. Irregular verbs, however, do not follow this pattern. Here are some typical forms irregular verbs may take:

  • Base form, past and past participle are all different e.g. do, did, done.

  • Past and past participle are the same e.g. feel, felt, felt.

  • The past participle is the same as the base form e.g. run, ran, run.

  • The verb is exactly the same in all forms e.g. cut, cut, cut.

  • Some verbs are regular in the past and irregular in the past participle e.g. show, showed, shown.

  • In very few verbs, the past and past participle are written the same as the base form but the pronunciation is different e.g. read /REED/, read /RED/, read /RED/.

  • Some verbs are regular in American English and irregular in British English e.g. burn, burnt, burnt (UK) and burn, burned, burned (US).

If you use Viv's notebook organisation, you'll find a list of irregular verbs on page 15 at the back. You can find a list of irregular verbs on Viv's web site at: List of irregular verbs.

BON Database

Before you start adding irregular verbs to your BON Database, it might be a good idea to get a friend to test you, and make a note of the verbs you don't know. Then you will only practice irregular verbs you find difficult.

Write the past or past participle of the irregular verb you don't know in the first box and press 'Enter'.

If the word you've just written is a past participle, press the 'End' key (it's usually to the left of the "Enter" key), then type the base form (present) of the verb and press 'Enter'.

If your word was in the past form, use the mouse to double click on the word 'participle' and delete it, then type the base form (present) of the irregular verb and press 'Enter'.

Now write a sentence which includes the past or past participle you are trying to learn and then press 'Enter' twice.

NOTE! Past participles are mainly used in perfect tenses and the passive voice. If you haven't studied these structures yet, just type the past participle in the hint box without trying to write it in a sentence. Don't forget that the verb must be included in the 'hint' section in exactly the same form as it appears in the 'expression' box. See the 'help with context sentences' page on Viv's web site for more help with writing hints.


Make, do, have & go

Make, do, have & go

There is a group of verbs sometimes known as 'hot verbs'. These verbs are very common both as main verbs and in phrasal verbs. Viv has selected the four 'hot verbs' which he believes give students the most problems:

  • Make - This verb causes problems for speakers of Latin based languages, which usually have one verb to show the meaning expressed by both 'make' and 'do' in English. There is no clear rule when we use 'make' and when 'do', but in general, 'make' involves the creation or changing of something.

  • Do - As mentioned above, 'do' is a problem for speakers of French, Spanish, Portuguese and Italian. There are lots of exceptions, but in general, 'do' is related to work or tasks which aren't enjoyable.

  • Have - This verb causes problems because it can be used as a stative verb for possession & state, a full verb for an activity, a verb for obligation and in the passive structure 'have sth. done'. Another problem is generated due to its different forms in British and American English.

  • Go - Apart from the many phrasal verbs formed from this verb, it also combines with a gerund to show sports and activities.

If you use Viv's notebook organisation, you'll find a list of expressions involving these verbs on page 16 at the back.

BON Database

Write one of the four verbs in it's present form in the first box and press 'Enter'.

Then type a sentence in English, but replace 'make', 'do', 'have' or 'go' with a question mark and press 'Enter'.


Phrasal verbs

Phrasal verbs

Phrasal verbs are very common in informal English and are a combination of verb + adjective or adverb. There are four types of phrasal verbs:

  • Type 1 - Verb + adverb (NO OBJECT) e.g. The plane has taken off.

  • Type 2 - Verb + adverb + OBJECT (the object can change position, but not if it is a pronoun) e.g. 'He put down his pen.' or 'He put his pen down.' but 'He put it down.' ('He put down it.' IS NOT POSSIBLE!).

  • Type 3 - Verb + preposition + OBJECT (the object must come at the end) e.g. He came into the room.

  • Type 3 - Verb + adverb + preposition + OBJECT e.g. 'Please get on with your work.'

There is a list of the problems which phrasal verbs cause language students as well as some of the more common phrasal verbs on Viv's web site at the following link Phrasal verbs worksheet

If you use Viv's notebook organisation, you'll find your phrasal verbs listed on page 18 and 19 at the back.

BON Database

Write the phrasal verb in the first box without any indication of the object (sth or sb) and press 'Enter'.

Then write the translation of the phrasal verb in your language. If you know which type of phrasal verb it is, put this number in brackets after the translation (see the introduction above for a list of the four types of phrasal verbs). Press 'Enter'.

Now, in the 'hint' box, write a sentence which shows the expression in context. The example shows the phrasal verb "turn sth off" (type 2), with its translation into Portuguese and a context sentence.

Don't forget that the verb must be included in the 'hint' section in exactly the same form as it appears in the 'expression' box, so be careful when using the past of irregular verbs or the 'ing' form. Alternatively, just write the phrasal verb alone and press 'Enter' twice. It is possible to insert a pronoun (sth/sb), but only after you have entered your context sentence, for example, type "Have you turn off?". Then press enter twice. Now use the mouse to go back to the context sentence and add 'ed' to the asterisks representing 'turn', then insert 'it'. This will give you "Have you ****ed it ***?". Now use the mouse to click in the next 'Expression' box, or press 'Enter'. See the 'help with context sentences' page on Viv's web site for more help with writing hints.


Prepositions

Prepositions

This section is designed to help you learn prepositions and adverbs:

If you use Viv's notebook organisation, you'll find your prepositions on pages 20 to 25 at the back.

BON Database

Write the preposition you want to learn in the first box and press 'Enter'.

Then type a question mark and the expression to which the preposition is connected. This question mark will come either before or after the expression depending on the position in which it occurs. In the example sentence, the preposition 'at' comes before the words 'the weekend', but if you wanted to learn the preposition 'be interested in sth.', the question mark would come after the word 'interested'. Now press 'Enter'.

Now, in the 'hint' box, write a sentence which shows the preposition in context and press 'Enter' twice.

Note! Make sure you don't use words in the context sentence which include the letters in the preposition. For example, for the preposition of time 'on', if you put "I have an English class on Mondays.", then the program will replace the 'O' & 'N' in the day as well as the preposition. Change 'Monday' to 'Friday' and then the context sentence will function. If you use the letters in the preposition in another word in the hint sentence accidentally, the program will tell you. Just press 'Enter' twice and then change your context sentence, pressing 'Enter' again twice to confirm the changes.

See the 'help with context sentences' page on Viv's web site for more help with writing hints.


Sounds

Pronunciation - sounds

This section is designed to help you learn the pronunciation of final 's' and 'ed'. In English, both these suffixes have three different sounds.

The 's' at the end of words, for example in plurals or third person 's', can be pronounced in three ways:

  • /s/ - this sound is unvoiced and formed by pushing air between your tongue and the top of your mouth. It is used when 's' comes after the following sounds: /p/, /t/, /k/, /f/ or /θ/ e.g. "wants".

  • /z/ - this sound is formed in the same way as /s/, but your vocal chords must produce sound. It follows these sounds: /b/, /d/, /g/, /v/, /dz/, /l/, /m/, /n/, /ñ/ or any vowel sound e.g. the 's' in "Wednesday".

  • /iz/ - this sound has the same pronunciation as the word 'is' and when used, the word has an extra syllable. It comes after these sounds: /s/, /z/, /sh/, /tch/ or /dj/ e.g. "classes".

If a word ends in 'ed', this final sound can be pronounced in three ways:

  • /t/ - you make this sound by making an 'explosion' between your tongue and the top of your mouth. It is unvoiced, which means that your vocal chords shouldn't make any sound e.g. "liked".

  • /d/ - this sound is formed in the same way as /t/, but you must make a sound with your vocal chords e.g. "played".

  • /id/ - when a word ends in this sound it has an extra syllable e.g. "wanted".

For the rules for the pronunciation of these different sounds see Viv's English pronunciation rules worksheet.

If you use Viv's notebook organisation, you'll find words which end in these sounds on page 26 at the back.

For help with phonetic symbols see 'Viv's phonetic script' on Viv's web site.

BON Database

First write the sound which the word you have difficulty pronouncing ends with. You'll see a list of the possible sounds above the box. Don't use any punctuation marks in this section.

Press 'Enter', then write the word you want to learn. Press 'Enter' again to add more words.


Words

Pronunciation - words

Viv uses his own phonetic symbols to show English sounds. All of his symbols can be written on a normal keyboard except these two symbols:

  • /θ/ - this is the 'th' sound, which doesn't exist in most Latin based languages. It's formed by pushing air between your tongue and your upper teeth.

  • /ñ/ - this sound is formed by blowing air through the nose as well as the mouth and your tongue must be flat against the top of your mouth.

If you use Viv's notebook organisation, you'll find words which end in these sounds on page 27 at the back.

For help with phonetic symbols see 'Viv's phonetic script' on Viv's web site.

BON Database

Write the word you have difficulty pronouncing in the first box and press 'Enter'.

Switch on 'Caps Lock' and write a slash ( / ), which is used to show that what follows in pronunciation not spelling, then write the word using Viv's phonetic symbols. Finish with another slash and press 'Enter'.

Note! Viv has put example words with the symbols mentioned in the introduction. When you need to use these symbols, use the mouse to highlight the symbol in one of the example sentences, then hold down the 'Ctrl' key and press 'C'. Go back to your word with the mouse and press 'Ctrl' + 'V' to paste the symbol into your word.

Next write a sentence using the word you are trying to learn how to pronounce. Press 'Enter' twice when the sentence is complete..

Don't forget that the word must be included in the 'hint' section in exactly the same form as it appears in the 'expression' box. If you can't think of a context sentence use your language course text book or a dictionary. Alternatively, just write the word and press 'Enter' twice. See the 'help with context sentences' page on Viv's web site for more help with writing hints.


Words

Pronunciation - silent letters

Sometimes, in English, not all of the letters in a word are pronounced. If you want to be able to speak and understand natural English, you should know which letters are silent. An example of a silent letter is the 'h' in 'hour'.

If you use Viv's notebook organisation, you'll find a list of words with silent letters on page 27 at the back.

BON Database

Write the letter which is silent in the first box. If a word has more than one silent letter, separate the silent letters with a slash ( / ), but don't leave any spaces. There are two examples already on your database 'biscuit', pronounced /BISKIT/ and 'Wednesday' pronounced /WENZ DAY/.

Press 'Enter' and write the word as it is usually spelt in English, then press 'Enter' again to add more silent letters.


Punctuation

Punctuation

Your BON Database comes with the most common punctuation marks included. You can use this page to revise the names and spelling of punctuation marks before going to the green 'Test' page and testing yourself.

There is a list of the punctuation marks and how they are used on Viv's web site at the following link Punctuation worksheet

If you use Viv's notebook organisation, you'll find a list of punctuation marks on page 28 at the back.

BON Database

To add more punctuation marks to your BON Database, first click on the asterisk ( * ) at the bottom of the screen on the left (under the blue message saying "Click on the asterisk below to add new words". Write the name of the punctuation mark in letters and press 'Enter'. You will see that what you have just written appears automatically in the 'hint' box.

Then type the punctuation mark (these can be copied and pasted from Microsoft Word if you want) and an example of how the punctuation mark is used. Then press 'Enter' three times.


Spelling

Spelling mistakes

Everyone finds it difficult to remember how to spell some words. It's important to be aware of these words and to practice writing them correctly regularly. Viv's BON Database can help you do this.

You can find a list of some of the rules for English spelling on Viv's web site at the following link Spelling rules of elementary and pre-intermediate students or Spelling rules for intermediate students and above.

If you use Viv's notebook organisation, you'll find a list of the words you have difficulty spelling on page 29 at the back.

BON Database

Write the word you have problems spelling in the first box and press 'Enter'.

Now write the translation of this word in your language and press 'Enter'

Then write the word in English again and press 'Enter' twice. The word will be replaced by asterisks.


Uncountable nouns

Uncountable and irregular plural nouns

Uncountable nouns are things which cannot be counted in English. They include:

  1. Most liquids and many kinds of food e.g. water & bread.

  2. Abstract nouns e.g. unemployment.

  3. Some collective nouns e.g. luggage

These rules apply to uncountable nouns:

  • We cannot use the indefinite article ('a' or 'an') before them.

  • They do not have a plural form.

  • Verbs associated with them must be in the third person form, therefore the auxiliary verbs 'are', 'do' and 'have' are not used after uncountable nouns.

  • The determiners 'many' and 'a few' cannot be used before this type of noun.

  • As the name suggests, uncountable nouns can't have a cardinal number before them.

There are four main types of irregular plural nouns:

  1. For most nouns, the plural is formed by adding 's', 'es' or 'ies', but in some nouns the plural is the same as the singular e.g. one sheep, two sheep.

  2. The spelling of the word changes when it is in its plural form e.g. His wife, their wives.

  3. Some nouns are irregular because they have no singular form e.g. My shorts, a pair of shorts.

  4. Some nouns are difficult because they are singular in other languages and plural in English e.g. The police are here.

The following rules apply to irregular plural nouns:

  • There's no indefinite article.

  • Irregular plural nouns of type 1 above do not have an 's'.

  • Verbs associated with them must be in the plural form, therefore the auxiliary verbs 'is', 'does' and 'has' are not used after uncountable nouns.

  • The determiners 'much' and 'a little' cannot be used before this type of noun.

If you use Viv's notebook organisation, you'll find a list of uncountable and irregular plural nouns on page 30 at the back.

You can find a list of irregular plural nouns on Viv's web site at the following link Spelling rules of elementary and pre-intermediate students or Spelling rules for intermediate students and above.

BON Database

For uncountable nouns, write the noun in the first box and press 'Enter'.

Now write the singular form of this noun and put a 'U' in brackets after it. In the example which comes with your BON Database, the word 'information' is uncountable, which means you can't say "informations". In English, the countable equivalent is "a fact" or "a detail". When you test yourself, you will see "A fact/detail (U)" and you will have to remember that the uncountable noun for "fact" is "information". Now press 'Enter'

Write a hint sentence which includes the uncountable noun and press 'Enter' twice. The word will be replaced by asterisks.

For irregular plural nouns, write the noun in the first box and press 'Enter'.

Now write the singular form of the noun, and afterwards put 'P' in brackets. There are two examples of the singular forms of irregular plural nouns in the sentences which come with your BON Database.

Write a hint sentence which includes the irregular plural noun and press 'Enter' twice. The word will be replaced by asterisks.


USA v UK

USA v UK

Just as a Spanish speaker from Spain would understand a Mexican, or Argentinean speaking Spanish, someone from Britain or the USA can easily understand the other regional variation, but they will notice some differences between the two versions of the same language. They include:

  • Grammatical differences e.g. "I've got a new car." (UK) = "I have a new car." (US)

  • Vocabulary differences e.g. "I like your trousers." (UK) = "I like your pants." (US)

  • Pronunciation differences e.g. "tomato" /TUH MAR TOW/ (UK) = /TUH MAY DUH/ (US)

There is more information on the differences between American and British English on Viv's web site at the following link USA v UK worksheet

If you use Viv's notebook organisation, you'll find a list of words and expressions used differently in America and Britain on page 29 at the back.

BON Database

First write the word or expression in British English in the first box and press 'Enter'.

Then write its equivalent form in American English and press 'Enter'.

Now write a sentence which includes the British English form of the word and press 'Enter' twice.


Word stress

Word stress

Every word is made up of syllables, which are 'units of sound'. If a word has two syllables or more, one of these syllables will be stressed (spoken with more power) than the others. This stressed syllable may be different from the stress pattern in a similar word in your language.

A good dictionary will show which syllable is stressed by putting an apostrophe ( ' ) before the syllable which carries main stress.

If you use Viv's notebook organisation, you'll find a list of the words in which you have had difficulty identifying the correct stressed syllable on page 31 at the back.

BON Database

First you need to know how many syllables the word has. In your notebook, you can find this by counting the number of dots above the word. You can also try saying the word out loud, and after every unit of sound, raise a finger. In the first box in Viv's BON Database you must write the number of syllables the word you want to learn has, then type a slash ( / ) and then write the number of the stressed syllable. In the example which comes with your BON Database, the word 'united' has three syllables and the main stress in on the second syllable. The other two words have two syllables with stress on the first syllable. Now press 'Enter'.

In the next box write the word your are trying to learn how to pronounce then press 'Enter' and add more words if you want to.

  • If you can, get a friend to help you when you add words to the words to your Word Stress section. Ask them to spell the words on p. 31 of your notebook (in any order) and, as they spell the word, you type it in the first box on the 'add words' page of your BON Database. After you've written the word, you must say how many syllables there are, and then which syllable has main stress. If you are correct, you can delete the word and try another word, if not, select and copy the word by pressing 'Shift + Home' then 'Ctrl + C'. Now delete the word and type the correct number of syllables and stressed syllable. Press 'Enter', then paste the word into the next box using 'Ctrl + V'. You can now repeat the process with more words.


Words which sound the same

Words which sound the same

The technical name for words which sound the same is 'homophones'. These words have different spelling and different meaning, but are pronounced in exactly the same way. These words are important to know because when you are listening to English being spoken, you may be confused if you hear a word which you think means one thing, but in fact is a completely different word.

If you use Viv's notebook organisation, you'll find a list of words which sound the same on page 32 at the back.

BON Database

In the first box write what you consider to be the most difficult of the two words which sound the same. In your notebook, Viv tries to put the most difficult words in the left column. Press 'Enter' then write the other word (or words) which has the same sound. In the example which comes with your BON Database, both "they're", "there" and "their" are pronounced /DZAIR/.

Finally, write a context sentence which includes the word you wrote in the first box (on the left), and press 'Enter' twice.

Don't forget that the word must be included in the 'hint' section in exactly the same form as it appears in the left-hand box. See the 'help with context sentences' page on Viv's web site for more help with writing hints.


Grammar translation

Grammar - sentence transformation

If you use Viv's notebook organisation, your course notebook will be divided into three sections, each with its own index:

  • At the front you will find all of your vocabulary and you can use Viv's Vocabulary Database to help you learn these words.

  • At the back are the special areas of difficulty, which most of your BON Database is designed to help you with.

  • In the middle there are all the grammatical presentations, with verb tenses and functions, along with pages for example sentences.

These last four options (in red on the blue 'Add words' page) are to help you revise and learn all the things you have organised in the middle of your notebook.

The grammar - sentence transformation section of your BON Database is designed to help you remember your "Examples of verb tenses" pages or other areas like modal verbs, comparatives and superlatives etc.

BON Database

In the first box write the sentence in English which you find difficult - you can copy this sentence directly from the 'Examples of ... page in your notebook. In the example which comes with your BON Database, there is a 'Yes/no' question, which speakers of Latin based languages often find difficult.

When you press 'Enter', the sentence you have just written will appear in the 'hint' box. Now write the translation of the English sentence in your language. NOTE! DO NOT TRANSLATE WORD FOR WORD - USE THE MOST NATURAL WAY TO EXPRESS THE SENTENCE YOU WROTE IN ENGLISH IN YOUR LANGUAGE. Press 'Enter' Three times and the 'hint' sentence will be changed into asterisks.

When you test yourself, you will see the sentence in your language and will have to remember how to say it in English. NOTE! Pay attention to the punctuation marks you use. When you test yourself, you will have to use EXACTLY the same punctuation marks.


Difficult cases

Difficult cases

See the help for the 'Grammar - sentence transformation' section by clicking on it in the contents on the left.

If you use Viv's notebook organisation, you will have a section in the middle of your notebook for difficult cases. These are words or expressions in English which often cause problems for speakers of other languages.

BON Database

In the first box write the expression in English which you find difficult - perhaps because in your own language the structure is completely different. In the example which comes with your BON Database, in English there are two words expressed by 'emprestar' in Portuguese. "Borrow sth" means "take sth from sb* for a limited time, and "lend sb sth" means "give sth to sb for a limited time.

When you press 'Enter', the sentence you have just written will appear in the 'hint' box. Now write the translation of the English sentence in your language. NOTE! DO NOT TRANSLATE WORD FOR WORD - USE THE MOST NATURAL WAY TO EXPRESS THE SENTENCE YOU WROTE IN ENGLISH IN YOUR LANGUAGE. Press 'Enter' Three times and the 'hint' sentence will be changed into asterisks.

When you test yourself, you will see the sentence in your language and will have to remember how to say it in English. NOTE! Pay attention to the punctuation marks you use. When you test yourself, you will have to use EXACTLY the same punctuation marks.

When you want to finish, either press 'Escape' (Esc) or click on the red 'Finished' button at the bottom of the page.

For information on revising, searching and adding more words see the Metalanguage section by clicking on the heading on the left.

* 'sth' stands for 'something' and 'sb' for somebody.


Prefixes and suffixes

Prefixes and suffixes

See the help for the 'Grammar - sentence transformation' section by clicking on it in the contents on the left.

Prefixes and suffixes are very important because if you know how they work, it may help you identify a word which you have never seen before.

Suffixes often change the part of speech of a word e.g. the noun 'photograph' changes into an adjective by adding the suffix 'ic' e.g. 'photographic'

Prefixes often change the meaning of a word e.g. the adjective 'comfortable' changes meaning if you add the prefix 'un' to mean NOT e.g. 'uncomfortable'

There is more information on prefixes and suffixes and how they work on Viv's web site at the following link Prefixes and suffixes worksheet.

BON Database

In the first box write the word with a prefix or suffix which you want to learn. There are two examples which come with your BON Database, "incorrect" and "uncomfortable", which are both adjectives. Press 'Enter'

Now write the base word from which the word with a prefix or suffix has been built, but first identify its part of speech in brackets. In the example sentences, 'correct' is an adjective and 'comfort' is a noun. Then put an equals sign ( = ) and put the part of speech or meaning change which the prefix or suffix in the first word you wrote gives e.g. the meaning resulting from adding 'in' to 'correct' is 'NOT', and in the final example, 'uncomfortable' results from changing the noun 'comfort' into an adjective by adding 'able' and then the meaning is changed to 'NOT' by adding the prefix 'un'.

Finally, write a sentence including the word in the left hand column and press 'Enter' twice.

When you test yourself, you will see the base word and will have to remember which prefixes and / or suffixes you have to use to change it into the part of speech and / or meaning asked for. You will only see your example sentence if you press the 'Ctrl' key. Press 'F1' on green 'Test page' for help on testing.


Test all middle

All middle of your notebook

Use this page to revise or edit all the expressions in the 'middle of your notebook' section (the headings in red in the selection box). You can't add or delete words or expressions using this page. To add words, go back to the blue 'Revise, edit or add' page and click on one of the other sections.


See all back of notebook

See all BON

Use this page to revise or edit all the expressions in the blue 'back of your notebook' sections (from 'metalanguage' to 'words which sound the same'). You can't add words or expressions using this page. To add words or revise the expressions in each section, click on one of the dark blue section headings once.

When you want to finish, either press 'Escape' (Esc) or click on the red 'Finished' button at the bottom of the page.

For information on searching for words or expressions see the Metalanguage section by clicking on the heading on the left..


Testing expressions

Help for Viv's BON Database version 3.5

Testing words

1. On the green 'Test words' page, use the 'Tab' key or cursor ( <- ->) to select the section you want to test (or click on the button or section name). The number of expressions in each section is shown on the right. The last option in the group on the right will only test the coloured expressions.

Try not to use the mouse on the test page. You can perform all actions using the keyboard.

2. An indication of the word or expression you're trying to learn appears at the top, below it is a space for you to write the word, sound or expression in English. Under this box, a hint may appear with the word or expression replaced by asterisks and the section the word is in. The program will indicate whether the expressions are in alphabetical order or not.

Sometimes, in order to see the hint with the expression replaced by asterisks, you will have to press the 'Ctrl' key. There should be two of these keys on your keyboard, one in the bottom left-hand corner, and the other below the 'Enter' key. Every time you get help by pressing 'Ctrl' you will lose 5% of your score. Be careful not to press the 'Ctrl' key by accident!

(Note! Before testing the same section twice, you'll have to delete your previous guesses (a message will appear telling you if this happens). Press 'Enter' and you'll return to the green 'Test Page'. Press 'Enter' again to see the words you got wrong in the previous test. Press the letter 'd' (or click on the red 'Delete previous guesses button) to delete all your previous guesses, then you can click on the section heading again and start the test. If you don't want to see the words you got wrong, you can press the letter 'N' followed by 'Enter' to delete your previous guesses and continue with the test.

3. Type the word or expression in English and press 'Enter'. If you are correct the program will tell you, then press 'Enter'. If you can't remember, just press 'Enter' twice.

4. If you are wrong, what will happen will depend on your answer:

· If you have typed the wrong number of letters, spaces or punctuation marks, a message will tell you how many characters you typed (spaces and punctuation marks are counted), how many there are in the answer and what the first letter of the word or expression is. You will then be asked if you want to try again. Press 'Enter' for 'Yes' or the letter 'N'. Pressing 'Enter' will open a box for you to make a second attempt, however, if you are wrong again your score will be reduced considerably. Pressing 'N' or 'Tab' + 'Enter' will move you on to the next question without reducing your score any more. NOTE! IF YOU KEEP PRESSING ENTER WITHOUT READING THE MESSAGES ON THE SCREEN, YOUR SCORE WILL GO DOWN A LOT!

· If you typed the correct number of letters, but the spelling was incorrect, a message will ask you if you would like to see some of the letters you got correct. If you select 'Yes' by pressing 'Enter', a box will appear showing some of the letters which you got correct and asterisks. Every letter you can see is correct, BUT asterisks may also cover both correct and incorrect letters, so you will have to decide which of the asterisks are replacing letters which are wrong. 'Enter' will give you the 'try again?' box mentioned above. Your score will be reduced by 5% if you ask for help.

· If the word you are trying to remember is less than 5 letters long, the previous two options will not occur and you will simply be asked if you want to try again.

5. When you've finished, the program will tell you. Check your score and press 'Enter' to record your test result. If you scored less than 60%, when you return to the green 'Test Page', press 'Enter', check the words you got wrong, delete your previous guesses and test yourself again.

6. If you want to finish the test before answering all the questions, press 'Escape' (Esc) or click on the red "Finished" button. You will be asked if you want to record your test result or not. Press 'Enter' to record your score, or the letter 'N' to leave the 'Test my expressions' page without recording your score. If you have pressed 'Esc' by accident, you can either press the 'Tab' key twice and 'Enter' or click on the "Cancel" button to return to the test. If you are using a copy of the teachers' version of this database, you may not be able to leave a test until you have answered all the questions, and your score will be recorded automatically.

7. If you are testing "All back of notebook." or "All middle of your notebook" and you have previous guesses you haven't deleted, the program will ask if you want to continue with the test or start the test again. If you are near the end of a long test, Press 'Enter' to continue, and then think about whether your previous guess was correct or not before pressing 'Enter' again (you can change it if you think that it was wrong). If you are at the beginning of a test, or you haven't got many words, press the letter 'N', and your previous guesses will be deleted and you will return to the first question in the same test.

If you want to continue a previous, unfinished test, when asked to delete your previous guesses, select 'Cancel' (press 'Tab' twice, then 'Enter') and the blue 'Reverse order' button will appear. Press Alt + r (or click once on this button with the mouse) to test your remaining words in reverse order. When you reach the place you finished in the previous test, a message will tell you that you have previous guesses you haven't deleted. Press 'Enter', then Escape twice and finally 'Enter' to record your test score for the words you have just finished testing.

See what you got wrong in previous tests?

DO NOT USE THE MOUSE OR TOUCH PAD ON THIS PAGE (unless moving to a second page - see below).

This green button (press 'Enter' or the letter 's') will open up a report with all the words you got wrong first time, or couldn't remember. You can print this page if you want to (Ctrl + p). The correct word appears on the left, followed by the word in your language, and the context sentence, if you've written one. On the right is either your first guess (even if you got the word correct in a second attempt), or a question mark if you didn't know the word. Moving the cursor (->) to the right will hide the answers and you can try to remember the word. The number of pages will be indicated at the bottom of the screen. To go to a new page, use the mouse or touch pad to click once on the arrow pointing to the right next to the number 1 at the bottom-left of your screen.

Press 'Escape' (Esc) when you've finished using this page. If the 'Escape' key doesn't work, hold down the 'Ctrl' key and press the 'F4' key at the top of your keyboard.

Delete your previous guesses?

Before you can test the same section a second time, you must delete your answers from the previous test. Press the letter 'd' (or click on this button), and your previous guesses will be removed automatically.

Revise, edit or add new words?

This button (press 'r') will take you to the blue 'Revise, Edit or Add' page where you can see the expressions on your BON Database and add more words.

Test all (back NB)

Selecting this option (press the letter 't') will test all the words in the black 'back of notebook' sections of your database. Exercises from the middle (the sections in red) will not be tested when you click on this button. To test these expressions, use the cursor left key ( <-) to highlight this section and press 'Enter'.

Past test results

Pressing 'p' or clicking on this button will show you the results you got in previous tests when you recorded your results. You may need to use the mouse or touch pad to scroll down to recent test scores. Press 'Escape' (or click on the red button) to close this window.

I've finished using Viv's BON Database

Press 'Escape' or click once on this button and you will leave the program. All your work and test scores will be saved automatically.

All rights reserved. Viv Quarry August 2014 (www.vivquarry.com).